function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-solid-card);\n                ",
        ": var(--surface-solid-card-hover);\n                ",
        ": var(--overlay-soft);\n                ",
        ": var(--outline-solid-secondary);\n                ",
        ": var(--outline-solid-secondary-hover);\n                ",
        ": var(--outline-accent);\n                ",
        ": var(--text-primary);\n                ",
        ": var(--text-secondary);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1.5rem;\n                ",
        ": 1.25rem;\n                ",
        ": 0.75rem;\n                ",
        ": 0.375rem;\n                ",
        ": 0.5rem;\n\n                ",
        ": var(--plasma-typo-h4-font-family);\n                ",
        ": var(--plasma-typo-h4-font-size);\n                ",
        ": var(--plasma-typo-h4-font-style);\n                ",
        ": var(--plasma-typo-h4-bold-font-weight);\n                ",
        ": var(--plasma-typo-h4-letter-spacing);\n                ",
        ": var(--plasma-typo-h4-line-height);\n\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, dropzoneTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), dropzoneTokens.background, dropzoneTokens.backgroundHover, dropzoneTokens.overlayColorActive, dropzoneTokens.borderColor, dropzoneTokens.borderColorHover, dropzoneTokens.borderColorActive, dropzoneTokens.titleColor, dropzoneTokens.descriptionColor)
        },
        size: {
            m: css(_templateObject1(), dropzoneTokens.padding, dropzoneTokens.borderRadius, dropzoneTokens.contentWrapperGap, dropzoneTokens.contentGap, dropzoneTokens.contentColumnGap, dropzoneTokens.titleFontFamily, dropzoneTokens.titleFontSize, dropzoneTokens.titleFontStyle, dropzoneTokens.titleFontWeight, dropzoneTokens.titleLetterSpacing, dropzoneTokens.titleLineHeight, dropzoneTokens.descriptionFontFamily, dropzoneTokens.descriptionFontSize, dropzoneTokens.descriptionFontStyle, dropzoneTokens.descriptionFontWeight, dropzoneTokens.descriptionLetterSpacing, dropzoneTokens.descriptionLineHeight)
        },
        disabled: {
            true: css(_templateObject2(), dropzoneTokens.disabledOpacity)
        }
    }
};
